AsyncTelegram2

Loading...
Searching...
No Matches
Classes | Public Member Functions | Friends | List of all members
InlineKeyboard Class Reference

`#include <InlineKeyboard.h>`

## Public Member Functions
| InlineKeyboard ()
| InlineKeyboard (const String &keyboard)
| ~InlineKeyboard ()
int | getButtonsNumber ()
bool | addRow (void)
bool | addButton (const char *text, const char *command, InlineKeyboardButtonType buttonType, CallbackType onClick=nullptr)
String | getJSON (void) const
String | getJSONPretty (void) const
void | clear ()

## Friends
class | AsyncTelegram2

## Detailed Description

Definition at line 17 of file InlineKeyboard.h.

## Constructor & Destructor Documentation

## ◆ InlineKeyboard() [1/2]

InlineKeyboard::InlineKeyboard | ( |  | ) |

Definition at line 4 of file InlineKeyboard.cpp.

## ◆ InlineKeyboard() [2/2]

InlineKeyboard::InlineKeyboard | ( | const String & | keyboard | ) |

## ◆ ~InlineKeyboard()

InlineKeyboard::~InlineKeyboard | ( |  | ) |

Definition at line 9 of file InlineKeyboard.cpp.

## Member Function Documentation

## ◆ addButton()

bool InlineKeyboard::addButton | ( | const char * | text,
|  | const char * | command,
|  | InlineKeyboardButtonType | buttonType,
|  | CallbackType | onClick = `nullptr`
| ) |  |

Definition at line 35 of file InlineKeyboard.cpp.

## ◆ addRow()

bool InlineKeyboard::addRow | ( | void |  | ) |

Definition at line 11 of file InlineKeyboard.cpp.

## ◆ clear()

void InlineKeyboard::clear | ( |  | ) |
| inline

Definition at line 57 of file InlineKeyboard.h.

## ◆ getButtonsNumber()

int InlineKeyboard::getButtonsNumber | ( |  | ) |

Definition at line 86 of file InlineKeyboard.cpp.

## ◆ getJSON()

String InlineKeyboard::getJSON | ( | void |  | ) | const

Definition at line 91 of file InlineKeyboard.cpp.

## ◆ getJSONPretty()

String InlineKeyboard::getJSONPretty | ( | void |  | ) | const

Definition at line 96 of file InlineKeyboard.cpp.

## Friends And Related Function Documentation

## ◆ AsyncTelegram2

friend class AsyncTelegram2
| friend

Definition at line 62 of file InlineKeyboard.h.

The documentation for this class was generated from the following files:

- src/InlineKeyboard.h
- src/InlineKeyboard.cpp